import request from '@/router/axios'

export const getList = (current, size, params) => {
  return request({
    url: '/api/blade-xf/yjmsgconfig/list',
    method: 'get',
    params: {
      ...params,
      current,
      size
    }
  })
}

export const getDetail = id => {
  return request({
    url: '/api/blade-xf/yjmsgconfig/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = ids => {
  return request({
    url: '/api/blade-xf/yjmsgconfig/remove',
    method: 'post',
    params: {
      ids
    }
  })
}

export const add = row => {
  return request({
    url: '/api/blade-xf/yjmsgconfig/submit',
    method: 'post',
    data: row
  })
}

export const update = row => {
  return request({
    url: '/api/blade-xf/yjmsgconfig/submit',
    method: 'post',
    data: row
  })
}

export const addOrganization = row => {
  return request({
    url: '/api/blade-ztzz/smart/queryOrgListByParentId',
    method: 'post',
    data: row
  })
}

export const queryUserInfoByOrgId = row => {
  return request({
    url: '/api/blade-ztzz/smart/queryUserInfoByOrgId',
    method: 'post',
    data: row
  })
}

export const modifyConfig = row => {
  return request({
    url: '/api/blade-xf/yjmsgconfig/modifyConfig',
    method: 'post',
    data: row
  })
}

export const queryGetOrgInfoByName = row => {
  return request({
    url: '/api/blade-ztzz/smart/getOrgInfoByName',
    method: 'post',
    data: row
  })
}

export const queryGetUserInfoByName = row => {
  return request({
    url: '/api/blade-ztzz/smart/getUserInfoName',
    method: 'post',
    data: row
  })
}
